#### Previous topic

Miscellaneous routines (`scipy.misc`)

# scipy.misc.ascent

`scipy.misc.``ascent`()

  Get an 8-bit grayscale bit-depth, 512 x 512 derived image for easy use in demos

  The image is derived from accent-to-the-top.jpg at http://www.public-domain-image.com/people-public-domain-images-pictures/

  Parameters: | None

  Returns:

  ascent : ndarray

  > convenient image to use for testing and demonstration

  Examples

      >>> import scipy.misc
      >>> ascent = scipy.misc.ascent()
      >>> ascent.shape
      (512, 512)
      >>> ascent.max()
      255

      >>> import matplotlib.pyplot as plt
      >>> plt.gray()
      >>> plt.imshow(ascent)
      >>> plt.show()

  (Source code)